package knowledge

import (
	"encoding/json"
	"eta_gn/eta_bridge/controller/resp"
	"eta_gn/eta_bridge/global"
	"eta_gn/eta_bridge/services/knowledge"

	"github.com/gin-gonic/gin"
)

type KnowledgeController struct{}

// Save 存储
func (k *KnowledgeController) Save(c *gin.Context) {
	res, err := knowledge.ForwardRequest(c, global.CONFIG.EtaReport.Host+"v1/report/knowledge/upload")
	if err != nil {
		global.LOG.Error("knowledge save error: ", err)
		resp.Fail("保存失败", c)
		return
	}
	var result knowledge.KnowledgeUploadResp
	if e := json.Unmarshal(res, &result); e != nil {
		global.LOG.Error("knowledge save unmarshal error: ", e)
		resp.Fail("保存失败", c)
		return
	}
	if result.Ret != 200 {
		global.LOG.Info("knowledgeResp Ret:%d, Msg:%s, ErrMsg:%s ", result.Ret, result.Msg, result.ErrMsg)
		resp.Fail("保存失败", c)
	}

	resp.Ok("保存成功", c)
}
